// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

let ULV = 8
let LV = 16
let MV = 96
let HV = 192

// certus_quartz_crystal

event.recipes.gtceu.autoclave('kubejs:autoclave/certus_quartz_crystal')
.itemInputs('gtceu:certus_quartz_gem')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('ae2:certus_quartz_crystal')
.duration(20)
.EUt(ULV)

// clay

event.recipes.gtceu.autoclave('kubejs:autoclave/dust')
.itemInputs('ex_hammers:dust')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:clay')
.duration(20)
.EUt(LV)

// endstone

event.recipes.gtceu.autoclave('kubejs:autoclave/endstone')
.itemInputs('#forge:dusts/endstone')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:end_stone')
.duration(20)
.EUt(LV)

// netherrack

event.recipes.gtceu.autoclave('kubejs:autoclave/netherrack')
.itemInputs('#forge:dusts/netherrack')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:netherrack')
.duration(20)
.EUt(LV)

// granite

event.recipes.gtceu.autoclave('kubejs:autoclave/granite')
.itemInputs('#forge:dusts/granite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:granite')
.duration(20)
.EUt(LV)

// andesite

event.recipes.gtceu.autoclave('kubejs:autoclave/andesite')
.itemInputs('#forge:dusts/andesite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:andesite')
.duration(20)
.EUt(LV)

// diorite

event.recipes.gtceu.autoclave('kubejs:autoclave/diorite')
.itemInputs('#forge:dusts/diorite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:diorite')
.duration(20)
.EUt(LV)

// deepslate

event.recipes.gtceu.autoclave('kubejs:autoclave/deepslate')
.itemInputs('#forge:dusts/deepslate')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:deepslate')
.duration(20)
.EUt(LV)

// basalt

event.recipes.gtceu.autoclave('kubejs:autoclave/basalt')
.itemInputs('#forge:dusts/basalt')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:basalt')
.duration(20)
.EUt(LV)

// stone

event.recipes.gtceu.autoclave('kubejs:autoclave/stone')
.itemInputs('#forge:dusts/stone')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:stone')
.duration(20)
.EUt(LV)

// silicon

event.recipes.gtceu.autoclave('kubejs:autoclave/silicon')
.itemInputs('#forge:dusts/silicon')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('ae2:silicon')
.duration(20)
.EUt(LV)

// ender_pearl

event.recipes.gtceu.autoclave('kubejs:autoclave/ender_pearl')
.itemInputs('gtceu:ender_pearl_dust')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:ender_pearl')
.duration(20)
.EUt(LV)

// conduit_binder

event.recipes.gtceu.autoclave('kubejs:autoclave/conduit_binder')
.itemInputs('enderio:conduit_binder_composite')
.inputFluids(Fluid.of('minecraft:water', 125))
.itemOutputs('2x enderio:conduit_binder')
.duration(20)
.EUt(ULV)


// fin //

  })